/*
 * Copyright (c) 2023 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef __GST_AMA_DEC_H__
#define __GST_AMA_DEC_H__

#include <gst/video/gstvideodecoder.h>

#include <xmadecoder.h>

G_BEGIN_DECLS

#define GST_TYPE_AMA_DEC (gst_ama_dec_get_type ())
G_DECLARE_DERIVABLE_TYPE (GstAMADec, gst_ama_dec, GST, AMA_DEC, GstVideoDecoder)

struct _GstAMADecClass
{
  GstVideoDecoderClass parent_class;

  void (*configure_decoder) (GstAMADec *self, XmaDecoderProperties *dec_props);
};

G_END_DECLS

#endif /* __GST_AMA_DEC_H__ */
